summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJonathan Blandford <jrb@redhat.com>2004-08-26 19:14:26 +0000
committerJonathan Blandford <jrb@redhat.com>2004-08-26 19:14:26 +0000
commitd3aff52822e7575c0d5df4ed9ad91a1d2fa2ea3c (patch)
treeddbdf4c23467e9be55e066cd01a64125596e6983 /autogen.sh
parentb20bd14ea3070b9ee45bc914fc197cc664a5e586 (diff)
downloadNetworkManager-d3aff52822e7575c0d5df4ed9ad91a1d2fa2ea3c.tar.gz
Thu Aug 26 15:12:36 2004 Jonathan Blandford <jrb@redhat.com>
* Makefile.am: add po as a supdir * autogen.sh: use gnome-autogen.sh * initscript/Gentoo/.cvsignore: * initscript/RedHat/.cvsignore: Shut up cvs * panel-applet/Makefile.am: Define GNOMELOCALEDIR for bonobo. * panel-applet/NMWirelessApplet.c: (nmwa_populate_menu), (nmwa_fill): Use gettext. * configure.in: add gettext support * po/.cvsignore: * po/NetworkManager.pot: * po/POTFILES.in: git-svn-id: http://svn-archive.gnome.org/svn/NetworkManager/trunk@80 4912f4e0-d625-0410-9fb7-b9a5a253dbdc
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh69
1 files changed, 12 insertions, 57 deletions
diff --git a/autogen.sh b/autogen.sh
index 8f7c61d442..a277576cad 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,66 +3,21 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-
-ORIGDIR=`pwd`
-cd $srcdir
-PROJECT=NetworkManager
-TEST_TYPE=-d
-FILE=src
-
-DIE=0
-
-if $have_libtool ; then : ; else
- echo
- echo "You must have libtool 1.4 installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
- DIE=1
-fi
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
- DIE=1
+REQUIRED_AUTOMAKE_VERSION=1.7
+PKG_NAME=NetworkManager
+
+(test -f $srcdir/configure.in \
+ && test -f $srcdir/src/NetworkManager.h) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
}
-if automake --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake
- ACLOCAL=aclocal
-else
- echo
- echo "You must have automake 1.7.x installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
- DIE=1
-fi
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
- exit 1
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
- if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
- fi
-fi
-
-$ACLOCAL -I . $ACLOCALFLAGS || exit $?
-$AUTOMAKE --add-missing || exit $?
-autoconf || exit $?
-cd $ORIGDIR || exit $?
-
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
- $srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
- echo
- echo "Now type 'make' to compile $PROJECT."
-fi